Bug 1258874 - Review Request: libmaxminddb - C library for the MaxMind DB file format
Review Request: libmaxminddb - C library for the MaxMind DB file format
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 08:43 EDT by Jan Včelák
Modified: 2015-10-31 22:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 21:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Včelák 2015-09-01 08:43:25 EDT
Spec URL: https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-1/libmaxminddb.spec
SRPM URL: https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-1/libmaxminddb-1.1.1-1.fc22.src.rpm
Description: C library for the MaxMind DB file format
Fedora Account System Username: jvcelak
Comment 1 Jan Včelák 2015-09-01 09:14:20 EDT
Copr repository with builds:
https://copr.fedoraproject.org/coprs/jvcelak/libmaxminddb/build/112378/

The failures on fedora-rawhide-ppc64le and fedora-21-x86_64 are caused by some problem with chroot installation. The build should be OK.
Comment 2 Jens Lody 2015-09-01 09:32:51 EDT
This is an informal review:

The LICENSE file must be included in %license, not %doc.
The "License:"-tag must list all used licenses: ASL 2.0, BSD and GPLv2+, you should aadd a comment like: All files are licensed under ASL 2.0 except maxminddb-compat-util.h which is licensed under BDS (3 clause) and ltmain.sh which is licensed under GPLv2+.
The Group tag is not neede (except for EPEL) and should normally be removed.
The Source0-url does not work (gives 403 forbidden).

First quick look, more to follow, (after work).

jens
Comment 3 Jan Včelák 2015-09-01 10:00:43 EDT
Thank you for a quick check.

- I replaced %doc with %license.

- License field should refer to the content of binary RPM, not source RPM [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License:_field]. I've verified that the packages contains only content licensed under Apache License 2.0. 

- I would like to keep the Group tag as I need the package in EPEL as well.

- Even though rpmlint reports 403, the Source0 works. Checked with wget and web browser.

Updated spec:
https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-2/libmaxminddb.spec
Updated SRPM:
https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-2/libmaxminddb-1.1.1-2.fc22.src.rpm
Comment 4 Christopher Meng 2015-09-01 10:08:45 EDT
Faster than my packaging on this ;)
Comment 5 Jens Lody 2015-09-01 10:25:47 EDT
(In reply to Jan Včelák from comment #3)
> Thank you for a quick check.
> 
> - I replaced %doc with %license.
> 
> - License field should refer to the content of binary RPM, not source RPM
> [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License:
> _field]. I've verified that the packages contains only content licensed
> under Apache License 2.0. 
> 
I'm not sure if the mixed source licensing scenario kicks in: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario

> - I would like to keep the Group tag as I need the package in EPEL as well.
> 
No problem, it's just a should !
> - Even though rpmlint reports 403, the Source0 works. Checked with wget and
> web browser.
> 
> Updated spec:
> https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-2/libmaxminddb.
> spec
> Updated SRPM:
> https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-2/libmaxminddb-1.
> 1.1-2.fc22.src.rpm

Works here from browser also, maybe a github hickup.
Comment 6 Jens Lody 2015-09-02 01:33:55 EDT
Snippet of fedora-review:
<snip>
Rpmlint
-------
Checking: libmaxminddb-1.1.1-2.el7.centos.x86_64.rpm
          libmaxminddb-devel-1.1.1-2.el7.centos.x86_64.rpm
          libmaxminddb-utils-1.1.1-2.el7.centos.x86_64.rpm
          libmaxminddb-1.1.1-2.el7.centos.src.rpm
libmaxminddb.x86_64: W: incoherent-version-in-changelog 1.1.1-1 ['1.1.1-2.el7.centos', '1.1.1-2.centos']
libmaxminddb.x86_64: W: no-documentation
libmaxminddb-devel.x86_64: W: only-non-binary-in-usr-lib
libmaxminddb.src: W: invalid-url Source0: https://github.com/maxmind/libmaxminddb/releases/download/1.1.1/libmaxminddb-1.1.1.tar.gz HTTP Error 403: Forbidden
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libmaxminddb-debuginfo-1.1.1-2.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
libmaxminddb-debuginfo.x86_64: W: only-non-binary-in-usr-lib
libmaxminddb.x86_64: W: incoherent-version-in-changelog 1.1.1-1 ['1.1.1-2.el7.centos', '1.1.1-2.centos']
libmaxminddb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmaxminddb.so.0.0.7 /lib64/libm.so.6
libmaxminddb.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.
</snip>

The unused-direct-shlib-dependency-warning can be removed, see: https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/#unused-direct-shlib-dependency

After removing this, I got a private-shared-object-provides-warning for the main-rpm (for some obscure reason, I did not get it before), but it is most likely an issue with fedora-review/rpmlint see: https://bugzilla.redhat.com/show_bug.cgi?id=1253917

Nothing is shown with rpmlint directly or when running rpm-qp on the package(s).


The only-non-binary-in-usr-lib is also a positive, I think, it's common to have just a link to the versioned so-files in /usr/lib[64] .

The incoherent-version-in-changelog should be fixed.

Not sure about the no-documentation warning.
Comment 7 Jens Lody 2015-09-02 01:35:44 EDT
The fedora-review was against epel7 (I used this before for another package), but that should not matter in this case, I did the one with removed shlib-dependency against rawhide.
Comment 8 Jan Včelák 2015-09-03 12:18:40 EDT
OK. Thank you guys. Another update.

Spec:
https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-3/libmaxminddb.spec
SRPM:
https://jvcelak.fedorapeople.org/review/libmaxminddb/1.1.1-3/libmaxminddb-1.1.1-3.fc22.src.rpm
COPR builds:
https://copr.fedoraproject.org/coprs/jvcelak/libmaxminddb/build/112954/

I've rechecked the licensing. The Licence should refer to content in the binary RPM. The original code is Apache Licence 2.0. Some of the code is taken from FreeBSD and resides in maxminddb-compat-util.h, the licence is BSD (2 and 3 clause). The ltmain.sh file is part of the auto tools build system, so we don't have to care. I've updated the Licence tag to: "APL 2.0 and BSD" and added a comment describing this decision.

I've updated the change log as I forgot to do that in the previous version.

I've patched the libtool to link with --as-needed, so the warning about unused dependency should be gone.

I've moved the Changes.md documentation file from the devel subpackage to the main package, so the warning about missing documentation in the main package no longer appears.

The "libmaxminddb-devel.x86_64: W: only-non-binary-in-usr-lib" is indeed false positive. It's an *.so symlink to the binary file in the same directory. And it has to be there.
Comment 9 Jens Lody 2015-09-04 00:44:13 EDT
Now everything looks good, as far as I can see, except for this minor issue:
libmaxminddb.src: W: strange-permission libmaxminddb-1.1.1.tar.gz 640
Comment 10 Jan Včelák 2015-09-04 02:45:08 EDT
Thank you.

> Now everything looks good, as far as I can see, except for this minor issue:
> libmaxminddb.src: W: strange-permission libmaxminddb-1.1.1.tar.gz 640

That's the source RPM and that will be rebuild from the git. My umask setting is just too strict and the downloaded source tarball has permissions 640 instead of expected 644. Changing the permissions and rebuilding the source RPM fixes the warning. And if you take a look at the source RPMS built in copr, the warning is not emitted.
Comment 11 Jan Včelák 2015-09-09 09:11:43 EDT
Ping. Any update? :-)
Comment 12 Jan Včelák 2015-09-11 15:27:20 EDT
Jens, please, do you think you can do the formal review instead of Christopher?

I would love to see this included as soon as possible. And it seems that Christopher is busy.
Comment 13 Jens Lody 2015-09-11 16:53:34 EDT
(In reply to Jan Včelák from comment #12)
> Jens, please, do you think you can do the formal review instead of
> Christopher?
> 
> I would love to see this included as soon as possible. And it seems that
> Christopher is busy.
Unfortunately I wait for a sponsor and I am not a member of the packager-group, so I can not do a formal review.
Comment 14 Jens Lody 2015-09-11 18:47:31 EDT
Readded accidently removed needinfo-flag from comment 11 .
Comment 15 Christopher Meng 2015-09-11 22:41:11 EDT
I will review this tomorrow.
Comment 16 Christopher Meng 2015-09-14 12:02:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v2 or later)", "Unknown or generated".
     35 files have unknown license. Detailed output of licensecheck:
     
BSD (3 clause)
--------------
libmaxminddb-1.1.1/src/maxminddb-compat-util.h

GPL (v2 or later)
-----------------
libmaxminddb-1.1.1/ltmain.sh

Unknown or generated
--------------------
libmaxminddb-1.1.1/bin/mmdblookup.c
libmaxminddb-1.1.1/include/maxminddb.h
libmaxminddb-1.1.1/projects/VS12/maxminddb_config.h
libmaxminddb-1.1.1/src/maxminddb.c
libmaxminddb-1.1.1/t/bad_pointers_t.c
libmaxminddb-1.1.1/t/basic_lookup_t.c
libmaxminddb-1.1.1/t/compile_c++_t.pl
libmaxminddb-1.1.1/t/data_entry_list_t.c
libmaxminddb-1.1.1/t/data_types_t.c
libmaxminddb-1.1.1/t/dump_t.c
libmaxminddb-1.1.1/t/get_value_pointer_bug_t.c
libmaxminddb-1.1.1/t/get_value_t.c
libmaxminddb-1.1.1/t/ipv4_start_cache_t.c
libmaxminddb-1.1.1/t/ipv6_lookup_in_ipv4_t.c
libmaxminddb-1.1.1/t/libtap/t/cmp_mem.c
libmaxminddb-1.1.1/t/libtap/t/cmpok.c
libmaxminddb-1.1.1/t/libtap/t/diesok.c
libmaxminddb-1.1.1/t/libtap/t/is.c
libmaxminddb-1.1.1/t/libtap/t/like.c
libmaxminddb-1.1.1/t/libtap/t/notediag.c
libmaxminddb-1.1.1/t/libtap/t/simple.c
libmaxminddb-1.1.1/t/libtap/t/skip.c
libmaxminddb-1.1.1/t/libtap/t/synopsis.c
libmaxminddb-1.1.1/t/libtap/t/todo.c
libmaxminddb-1.1.1/t/libtap/tap.c
libmaxminddb-1.1.1/t/libtap/tap.h
libmaxminddb-1.1.1/t/maxmind-db/test-data/write-test-data.pl
libmaxminddb-1.1.1/t/maxminddb_test_helper.c
libmaxminddb-1.1.1/t/maxminddb_test_helper.h
libmaxminddb-1.1.1/t/metadata_t.c
libmaxminddb-1.1.1/t/mmdblookup_t.pl
libmaxminddb-1.1.1/t/no_map_get_value_t.c
libmaxminddb-1.1.1/t/read_node_t.c
libmaxminddb-1.1.1/t/threads_t.c
libmaxminddb-1.1.1/t/version_t.c

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libmaxminddb-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.12 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.12
INFO: Mock Version: 1.2.12
Finish: chroot init
INFO: installing package(s): /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-devel-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-utils-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-debuginfo-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-debuginfo-1.1.1-3.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-devel-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-utils-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-debuginfo-1.1.1-3.fc24.i686.rpm /home/rpmaker/Desktop/libmaxminddb/results/libmaxminddb-debuginfo-1.1.1-3.fc24.i686.rpm


Rpmlint
-------
Checking: libmaxminddb-1.1.1-3.fc24.i686.rpm
          libmaxminddb-devel-1.1.1-3.fc24.i686.rpm
          libmaxminddb-utils-1.1.1-3.fc24.i686.rpm
          libmaxminddb-debuginfo-1.1.1-3.fc24.i686.rpm
          libmaxminddb-1.1.1-3.fc24.src.rpm
libmaxminddb.src: W: invalid-url Source0: https://github.com/maxmind/libmaxminddb/releases/download/1.1.1/libmaxminddb-1.1.1.tar.gz HTTP Error 403: Forbidden
5 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
libmaxminddb-utils (rpmlib, GLIBC filtered):
    libc.so.6
    libm.so.6
    libmaxminddb(x86-32)
    libmaxminddb.so.0
    rtld(GNU_HASH)

libmaxminddb-debuginfo (rpmlib, GLIBC filtered):

libmaxminddb-devel (rpmlib, GLIBC filtered):
    libmaxminddb(x86-32)
    libmaxminddb.so.0

libmaxminddb (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    rtld(GNU_HASH)



Provides
--------
libmaxminddb-utils:
    libmaxminddb-utils
    libmaxminddb-utils(x86-32)

libmaxminddb-debuginfo:
    libmaxminddb-debuginfo
    libmaxminddb-debuginfo(x86-32)

libmaxminddb-devel:
    libmaxminddb-devel
    libmaxminddb-devel(x86-32)

libmaxminddb:
    libmaxminddb
    libmaxminddb(x86-32)
    libmaxminddb.so.0



Source checksums
----------------
https://github.com/maxmind/libmaxminddb/releases/download/1.1.1/libmaxminddb-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 60060bc081573220d4633e4cbb26f999521c0f197304bc7f5ea700fc26ef2276
  CHECKSUM(SHA256) upstream package : 60060bc081573220d4633e4cbb26f999521c0f197304bc7f5ea700fc26ef2276


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rvn libmaxminddb-1.1.1-3.fc22.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

------------------------------------
1. I'm against that -utils subpackage, better include it in -devel. Only one program doesn't need to be placed into another subpackage, time to reduce pointless subpkgs.

2. Group:          Development/Libraries

Drop it, it doesn't matter on RHEL6, and RHEL5.10+(IIRC)

3. I'd rather put 

%doc NOTICE Changes.md

to -devel subpkg.

4. %doc NOTICE 

No, it's %license.

5. Looks like some code are bundled in tests, but using git submodule is ok so I will ignore this.
Comment 17 Jan Včelák 2015-09-14 17:56:33 EDT
Thank you for the review.

> 1. I'm against that -utils subpackage, better include it in -devel. Only one
> program doesn't need to be placed into another subpackage, time to reduce
> pointless subpkgs.

I think it is useful to have the utility to query the database even if you don't do any development. It was logical for me to put it into a subpackage. On the other hand, the -devel subpackage has almost no dependencies, so I'm also fine with placing the utility into the -devel subpackage.

> 2. Group:          Development/Libraries
> 
> Drop it, it doesn't matter on RHEL6, and RHEL5.10+(IIRC)

OK. I'll do that.

> 3. I'd rather put 
> 
> %doc NOTICE Changes.md
> 
> to -devel subpkg.

OK. Makes sense.

> 4. %doc NOTICE 
> 
> No, it's %license.

OK. Good catch.

> 5. Looks like some code are bundled in tests, but using git submodule is ok
> so I will ignore this.

I think this is OK. The test binaries are not installed. There is a bunch of libtap libraries around and this one is not packaged in Fedora. And it would be pity to remove the tests execution from the build process.

I'll post updated specs soon.
Comment 19 Christopher Meng 2015-09-14 19:27:18 EDT
PACKAGE APPROVED.
Comment 20 Jan Včelák 2015-09-15 03:07:59 EDT
New Package SCM Request
=======================
Package Name: libmaxminddb
Short Description: C library for the MaxMind DB file format
Upstream URL: https://maxmind.github.io/libmaxminddb/
Owners: jvcelak
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 21 Gwyn Ciesla 2015-09-15 09:23:32 EDT
Git done (by process-git-requests).
Comment 22 Fedora Update System 2015-09-15 10:08:22 EDT
libmaxminddb-1.1.1-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8087
Comment 23 Fedora Update System 2015-09-15 10:08:26 EDT
libmaxminddb-1.1.1-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15901
Comment 24 Fedora Update System 2015-09-15 10:08:31 EDT
libmaxminddb-1.1.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15902
Comment 25 Jan Včelák 2015-09-15 10:09:34 EDT
Thank you, guys!
Comment 26 Fedora Update System 2015-09-15 12:50:19 EDT
libmaxminddb-1.1.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libmaxminddb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15902
Comment 27 Fedora Update System 2015-09-15 14:25:44 EDT
libmaxminddb-1.1.1-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8095
Comment 28 Fedora Update System 2015-09-15 18:54:27 EDT
libmaxminddb-1.1.1-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libmaxminddb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15901
Comment 29 Fedora Update System 2015-09-15 18:56:17 EDT
libmaxminddb-1.1.1-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libmaxminddb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15900
Comment 30 Fedora Update System 2015-09-16 19:51:10 EDT
libmaxminddb-1.1.1-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libmaxminddb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8095
Comment 31 Fedora Update System 2015-09-16 21:52:23 EDT
libmaxminddb-1.1.1-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libmaxminddb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8087
Comment 32 Fedora Update System 2015-10-19 21:55:30 EDT
libmaxminddb-1.1.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2015-10-19 22:53:59 EDT
libmaxminddb-1.1.1-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2015-10-20 01:53:17 EDT
libmaxminddb-1.1.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2015-10-20 10:57:17 EDT
libmaxminddb-1.1.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2015-10-31 22:49:08 EDT
libmaxminddb-1.1.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.